<?php
namespace Claromentis\Core\Application;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_69a3fc92380e772c36" . "775416e0a8016c" => base64_decode("Q291bGQgbm90IGlu" . "c3RhbnRpYXRlIGNv" . "bnRyb2xsZXIgY2xh" . "c3Mg"));
use Claromentis\Core\Application;
use Symfony\Component\HttpKernel\Controller\ControllerResolver as SymfonyResolver;
use InvalidArgumentException;
use Psr\Log\LoggerInterface;







class ControllerResolver extends SymfonyResolver
{
    
    
    
    
    protected $app;
    
    
    
    
    
    
    
    public function __construct(Application $app, LoggerInterface $logger = null)
    {
        parent::__construct($logger);
        $this->app = $app;
    }
    
    
    
    
    
    
    
    protected function instantiateController($_35ed77ccccaf3a056dcf16acae33bbe0)
    {
        try {
            return $this->app[$_35ed77ccccaf3a056dcf16acae33bbe0];
        } catch (InvalidArgumentException $_fe441aa3ef350bfb1a1a1ad8520dd530) {
            throw new InvalidArgumentException($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_69a3fc92380e772c36775416e0a" . "8016c"] . $_35ed77ccccaf3a056dcf16acae33bbe0, null, $_fe441aa3ef350bfb1a1a1ad8520dd530);
        }
    }
}